#
# Conditional build:
%bcond_with	javadoc		# don't build javadoc

%define		srcname	commons-pool
%include	/usr/lib/rpm/macros.java
Summary:	Commons Pool - object pooling interfaces
Summary(pl.UTF-8):	Commons Pool - interfejsy gospodarujące obiektami
Name:		java-commons-pool
Version:	1.5.7
Release:	2
License:	Apache
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/pool/source/commons-pool-%{version}-src.tar.gz
# Source0-md5:	fcec4e996efda82ec8643dd2aeb63c7c
Source1:	jakarta-commons-pool-tomcat5-build.xml
URL:		http://commons.apache.org/pool/
BuildRequires:	ant
BuildRequires:	java-commons-collections >= 1.0
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-commons-collections >= 1.0
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-pool
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Pool package defines a generalized object pooling interfaces, and
provides several general-purpose implementations.

%description -l pl.UTF-8
Pakiet Pool definiuje uogólnione interfejsy gospodarowania obiektami
oraz dostarcza kilku implementacji ogólnego przeznaczenia.

%package javadoc
Summary:	Commons Pool documentation
Summary(pl.UTF-8):	Dokumentacja do Commons Pool
Group:		Documentation
Obsoletes:	jakarta-commons-pool-doc
Obsoletes:	jakarta-commons-pool-javadoc

%description javadoc
Commons Pool documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Pool.

%package tomcat5
Summary:	Commons Pool dependency for Tomcat5
Summary(pl.UTF-8):	Elementy Commons Pool dla Tomcata 5
Group:		Development/Languages/Java
Obsoletes:	jakarta-commons-pool-source
Obsoletes:	jakarta-commons-pool-tomcat5

%description tomcat5
Commons Pool dependency for Tomcat5.

%description tomcat5 -l pl.UTF-8
Elementy Commons Pool dla Tomcata 5.

%prep
%setup -q -n commons-pool-%{version}-src
cp -p %{SOURCE1} tomcat5-build.xml

%build
required_jars="commons-collections"
export CLASSPATH=$(build-classpath $required_jars)
%ant clean
%ant build-jar %{?with_javadoc:javadoc}
%ant -f tomcat5-build.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a dist/%{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

cp -a pool-tomcat5/%{srcname}-tomcat5.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-tomcat5-%{version}.jar
ln -sf %{srcname}-tomcat5-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-tomcat5.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc RELEASE-NOTES.txt
%{_javadir}/%{srcname}.jar
%{_javadir}/%{srcname}-%{version}.jar

%files tomcat5
%defattr(644,root,root,755)
%{_javadir}/%{srcname}-tomcat5.jar
%{_javadir}/%{srcname}-tomcat5-%{version}.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/java-commons-pool.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 6ad0f08
- avoid self-obsoletes; drop old jakarta provides

* Thu Jun 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 56351b4
- up to 1.5.7

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> b4786fa
- Don't force specific jdk.

* Fri Dec 04 2009 pawelz <pawelz@pld-linux.org> aaf7a8c
- don't build javadocs by default. It requires network access.

* Fri Dec 04 2009 pawelz <pawelz@pld-linux.org> 6728c8e
- up to 1.5.4

* Mon May 18 2009 pawelz <pawelz@pld-linux.org> 74ae807
- JDK bconds
- simplified (removed SHELL=/bin/sh and -Dbuild.compiler hacks)

* Mon Feb 16 2009 pawelz <pawelz@pld-linux.org> b989f1f
- use java-gcj-compat-devel
- do not R jre
- do not generate javadoc when being built --without javadoc
- do not package LICENSE.txt since it contains well known Apache v2 license
- rel 4

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> bb1d5b6
- s/jakarta/java in dependencies
- added Provides/Obsoletes old name in subpackages

* Sun Nov 23 2008 Elan Ruusamäe <glen@pld-linux.org> 9163234
- rename to java-commons-pool.spec

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 93f6f43
- pl for -tomcat5
- no more Jakarta in descs

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> 032eff8
- new urls; rel 3

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 0a8b660
- without jakarta in jar files

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 235c173
- undos

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> a848f1a
- from fc

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> ddd0297
- build -tomcat5 dependency instead of -source for tomcat; rel 2

* Sat Apr 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 50de1ee
- pl for -source

* Wed Apr 11 2007 Elan Ruusamäe <glen@pld-linux.org> 70b9874
- need src subdir

* Wed Apr 11 2007 Elan Ruusamäe <glen@pld-linux.org> 1c63c48
- create -source
- unify again

* Wed Apr 11 2007 Elan Ruusamäe <glen@pld-linux.org> e53d505
- just in case package the original jar

* Wed Apr 11 2007 Jan Rękorajski <baggins@pld-linux.org> a4921da
- removed Strange Things

